function display(oModel)
% DISPLAY(s) Display a kineticmodel object

fprintf ('%s',oModel.tModelNameComment);
fprintf ('%s\n',oModel.tModelName);
fprintf ('%s',oModel.vkComment);
fprintf ('%f\t',oModel.vk);
fprintf ('\n');
fprintf ('%s',oModel.vX0Comment);
fprintf ('%f\t',oModel.vX0);
fprintf ('\n');
fprintf ('%s',oModel.tOutputExpComment);
fprintf ('%s\n',oModel.tOutputExpression);
fprintf ('%s',oModel.slkComment);
fprintf ('%i',oModel.slk);
if oModel.sconstrained ~=0
    fprintf(' with %i of mass constaints\n', oModel.sconstrained);
else
    fprintf('\n');
end    
fprintf ('%s',oModel.slXComment);
fprintf ('%i\n',oModel.slX);
% fprintf ('%s',oModel.tODEFunctionComment);
% fprintf ('%s\n',oModel.tODEFunction);
fprintf ('%s',oModel.sT0Comment);
fprintf ('%f\n',oModel.sT0);
fprintf ('%s',oModel.tPathComment);
fprintf ('%s\n',oModel.tPath);





