function oModel= subsasgn(oModel,index,val)

global bioSimworkingpath

switch index.type
    
    case '()'
        switch index.subs{:}
            case 1
                oModel.tModelName = val;
            
            case 2
                oModel.vk = val;
                
            case 3
                oModel.vX0 = val;
                
            case 4
                oModel.tOutputExpression = val;                
                
            case 5
                oModel.vlegend = val;           
                
            case 6
                oModel.sT0 = val;
                                
            case 7
                oModel.tODEFunction = val;
                
            case 8
                error('cant change. Value depends on parameter vector');
                
            case 9
                error('cant change. Value depends on initial condition vector');                
                       
            case 10
                oModel.slr = val;
                
            case 11
                oModel.tPath = val;   
                
            case 12
                oModel.unitvolume = val;
                
            case 13
                oModel.unitconcentration = val;             
                
            case 14
                oModel.sconstrained = val;
            
            otherwise
                error ('invalid index')
        end
        
    case '.'
        switch index.subs
            case 'tModelName'
                
                % make the folder corresponding to new model
                path = [bioSimworkingpath filesep 'models' filesep];
                f1=fullfile(path,val);
                if (exist(f1)==0)
                    mkdir(f1);
                end
                % moving the integrator to new location
                source = sprintf('%s\\%sODEIntegrator.m',oModel.tPath,oModel.tModelName);
                destination = sprintf('%s\\%sODEIntegrator.m',f1,val);
                eval(sprintf('movefile(\''%s'',\''%s\'',\''f\'');',source,destination));
                % removing the old Path and the the folder 
                eval (sprintf('rmpath %s;',oModel.tPath));
%                 eval (sprintf('rmdir(\''%s\'',\''s\'');',oModel.tPath));
                oModel.tModelName = val;
                oModel.tPath = [bioSimworkingpath filesep 'models' filesep oModel.tModelName];
                % adding the Path of the new folder to matlab path
                eval (sprintf('addpath %s;',oModel.tPath));
            
            case 'vk'
                oModel.vk = val;
                
            case 'vX0'
                oModel.vX0 = val;
                
            case 'sT0'
                oModel.sT0 = val;
                
            case 'tODEFunction'
                oModel.tODEFunction = val;
                
            case 'tOutputExpression'
                oModel.tOutputExpression = val;
                
            case 'vlegend'
                oModel.vlegend = val;                
            
            case 'slk'
                error('cant change. Value depends on parameter vector');
                
            case 'slX'
                error('cant change. Value depends on initial condition vector');
                
            case 'tPath'
                oModel.tPath = val;
                
            case 'unitvolume'
                oModel.unitvolume = val;
                
            case 'unitconcentration'
                oModel.unitconcentration = val;
                
            case 'slr'
                oModel.slr = val;
                
            case 'sconstrained'
                oModel.sconstrained = val;
                
            otherwise
                error ('invalid index')
        end
        
    case'{}'
        error ('cell array indexing assignment not supported by model objects')
end
oModel.slk  = length(oModel.vk);
oModel.slX = length(oModel.vX0);


    
    
     




                