%
% Version 1, october 2008
% Marc Hafner, EPFL-IC-LANOS, Switzerland
% help and comments to marc.hafner@epfl.ch
%

global LibraryFolder;

if exist('LibraryFolder','var')==0 || isempty(whos('global','LibraryFolder')) || isempty(LibraryFolder)

    folder = mfilename('fullpath');
    index = max((folder=='\').*(1:length(folder)));
    folder = folder(1:index-1);


    if exist(folder,'dir')==7
        fprintf('Is it the Library folder: %s ? Do you agree y/n [y]? ', folder);
        reply = input(' ','s');
        if isempty(reply)==1 || (reply=='Y' || reply=='y')
            LibraryFolder = folder;
            return
        else
            clear folder
        end
    end


    if ~exist('folder','var') || exist(folder,'dir')~=7
        s = matlabpath;
        p = 1;
        while true
            t = strtok(s(p:end), pathsep);
            p = p + length(t) + 1;
            fprintf('Is it the Library folder: %s ? Do you agree y/n [n]? ', t);
            reply = input(' ','s');
            if isempty(reply)==0 && (reply=='Y' || reply=='y')
                LibraryFolder = t;
                return
            end
            if isempty(strfind(s(p:end), pathsep)), break, end;
        end

    end



    error('No Library folder selected')
    
end