function [test, X0, conditions] = kcheck_Goodwin0 (oModel, vk, vX0)

% Enter the condition for vk (test = true or false)
% Enter an output ( X0 = state vector)
% Enter a condition vector (conditions = display output)

data = simulation_deterministic(oModel,[4 6],vk,vX0);

output = mean(data.X(:,2));
X0 = data.X(end,:);

if output>.1 && output<2
    test = true;
else
    test = false;
end

X0 = oModel.vX0;
conditions = output;

