function [T,X] = ParameterVariationalIntegrator(vTimeRange, k, vX0, options)

% update Oct 08
if nargin<3 || length(k)~=. . . || length(vX0)~=. . . || length(vTimeRange)>3
    error('Incorrect arguments')
end



    function dX = F(t,X)
        dX = X;
        dX(i) = . . . ;
    end

    function df = dFdX(X)
        df = zeros(lX,lX);

        df(1,1) = . . . ;
    end

    function dk = dFdk(X)
        dk = zeros(lX,lk);
  
        dk(1,1) = . . . ;
        
    end

% special_tag_to_reconize_this_line Do not remove !
% end of editable part of this file. Unless you want to optimize, leave
% the rest of this file original.

    function dX = FdFdk(t,X)
        dX = zeros(lX+lX*lk,1);
        
        dX(1:lX) = F(t,X(1:lX));
        df = dFdX(X(1:lX));
        dk = dFdk(X(1:lX));

        for i=1:lX
            for j=1:lk
                dX(lX+lk*(i-1)+j) = dk(i,j);
                for l=1:lX
                    dX(lX+lk*(i-1)+j) = dX(lX+lk*(i-1)+j) + df(i,l)*X(lX+lk*(l-1)+j);
                end
            end
        end
    end



vX0(end+1:lX+lX*lk) = 0;
 

if length(vTimeRange)==1
    X=FdFdk(vTimeRange,vX0);
    T=vTimeRange;
    return
else
    if length(vTimeRange)==3
        vTimeRange = [vTimeRange(1):vTimeRange(2):vTimeRange(3)];
    end
    if exist('options','var')
        [T,X]=ode45(@FdFdk,vTimeRange,vX0,options);
    else
        [T,X]=ode45(@FdFdk,vTimeRange,vX0);
    end
end

irelax = max([1; [1:length(T)]'.*(T<vTimeRange(1))]);
T=T(irelax:end);
X=X(irelax:end,:);
X(end,:)
end