function handle= plot2(oData,T,X,varargin)


for i=1:size(X,ndims(X))
    eval(sprintf('X%i=X(:,%i);',i,i));
end
color = {'g','r','b','c','m','y','k','w'};
n = length(varargin);

% default case, plot output.
if(n==0)
    handle=plot(T,X);
    lX=size(X,ndims(X));
    leg=oData.Legend;
    for i=1:lX
        legend_val{i} = leg{i};
    end

    for i=1:lX
        legend_val{i} = strcat('''',legend_val{i},'''');
    end

    str='';
    for i=1:(lX-1)
        str = strcat(str,legend_val{i});
        str = strcat(str,',');
    end
    str = strcat(str,legend_val{lX});

    if(length(str)>2)
    eval(sprintf('legend(%s)',str));
    end
else
    if (iscell(varargin{n}))
        varargin{n+1}='none';
        n=n+1;
    end
    for i=1:(n-1)
        cell = varargin{i};
        % two cases based on whether or not legend is provided
        switch length(cell)
            case 2
                x_var = cell{1};
                y_var = cell{2};
                legend_val{i} = '';

            case 3
                x_var = cell{1};
                y_var = cell{2};
                legend_val{i} = cell{3};

            otherwise
                error('Wrong number of elements in cell. See HELP.');

        end

        % check if one of input arguments is 't' or 'all'
        if (x_var=='t')
            x_var = 'T';
        elseif (strcmp(x_var,'all'))
            x_var  = 'X';
        end

        if (y_var=='t')
            y_var = T;
        elseif(strcmp(y_var,'all'))
            y_var  = 'X';
        end

        temp = varargin{n};
        if(strcmp(temp,'none')||(isempty(temp.Style)))
            tempStyle='none';
        else
            tempStyle=optionget(temp,'Style');
        end
        if((strcmp(x_var,'X'))||(strcmp(y_var,'X')))
            x = eval(x_var);
            y = eval(y_var);

            eval(sprintf('handle=plot(x,y,''%s);',definestyle(tempStyle)));
        else
            x = eval(x_var);
            y = eval(y_var);
            if(~strcmp(temp,'none'))
            if((i==1)&&(~isempty(temp.Color)))
                eval(sprintf('handle=plot(x,y,''%s%s);',optionget(temp,'Color'),definestyle(tempStyle)));
            else
                eval(sprintf('handle=plot(x,y,''%s%s);',color{(mod(i,8)+1)},definestyle(tempStyle)));
            end
            else
                eval(sprintf('handle=plot(x,y,''%s%s);',color{(mod(i,8)+1)},definestyle(tempStyle)));
            end
        end
        hold on


        %
    end
    % display the legend
    
    % plotting all variables

    if (((strcmp(x_var,'X'))||(strcmp(y_var,'X')))&&(~isempty(oData.Legend)))
        lX=size(X,ndims(X));
        leg=oData.Legend;
        for i=1:lX
            legend_val{i} = leg{i};
        end

        for i=1:lX
            legend_val{i} = strcat('''',legend_val{i},'''');
        end

        str='';
        for i=1:(lX-1)
            str = strcat(str,legend_val{i});
            str = strcat(str,',');
        end
        str = strcat(str,legend_val{lX});


        eval(sprintf('legend(%s)',str));

        hold off
    else
        for i=1:n-1
            legend_val{i} = strcat('''',legend_val{i},'''');
        end


        str='';
        if (n>2)
        for i=1:(n-2)
            str = strcat(str,legend_val{i});
            str = strcat(str,',');
        end
        str = strcat(str,legend_val{n-1});
        else
            str= legend_val{i};
        end

        if(length(str)>2)
        eval(sprintf('legend(%s)',str));
        end

        hold off
    end

end
end